<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<!--
IGAC proyecto SNC

@author 		felipe.cadena
@version		1.0
@description	test CU-SA-AC-018        


@ManagedBean 	
-->
<ui:composition xmlns="http://www.w3.org/1999/xhtml"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:f="http://java.sun.com/jsf/core"
                xmlns:fn="http://java.sun.com/jsp/jstl/functions"
                xmlns:ui="http://java.sun.com/jsf/facelets" 
                xmlns:p="http://primefaces.org/ui"
                xmlns:misc="http://java.sun.com/jsf/composite/misc"
                xmlns:predio="http://java.sun.com/jsf/composite/predio"
                xmlns:avaluos="http://java.sun.com/jsf/composite/avaluos"
                template="/templates/generalCU.xhtml">

    <ui:define name="title">
        .::Sistema Nacional Catastral::. .::test page for cu-sa-ac-058::.
    </ui:define>

    <ui:define name="content">

        <h:outputScript library="javascript" name="snc_visor_client.js"
                        target="head" />
        <h:outputStylesheet library="css" name="snc_visor_client.css" />

        <h:form id="testControlCalidad">
            <p:messages showDetail="false"
                        globalOnly="false" />


            <p:commandLink value="Cargar zonas" immediate="true"
                           oncomplete="cargarDetallesWV.show();"
                           action="#{testsAvaluos.cargarZonasCU058}"
                           update=":cargaDetallesForm"
                           styleClass="commandLinkStyle">
            </p:commandLink>

            <br/>
            <br/>
            <br/>
            <p:commandLink value="Cargar cultivos" immediate="true"
                           oncomplete="cargarDetallesWV.show();"
                           action="#{testsAvaluos.cargarCultivosCU070}"
                           update=":cargaDetallesForm"
                           styleClass="commandLinkStyle">
            </p:commandLink>

            <br/>
            <br/>
            <br/>
            <p:commandLink value="Cargar maquinaria" immediate="true"
                           oncomplete="cargarDetallesWV.show();"
                           action="#{testsAvaluos.cargarMaquinariaCU101}"
                           update=":cargaDetallesForm"
                           styleClass="commandLinkStyle">
            </p:commandLink>
            <br/>
            <br/>
            <br/>
            <p:commandLink value="Cargar anexos" immediate="true"
                           oncomplete="cargarDetallesWV.show();"
                           action="#{testsAvaluos.cargarAnexosCU124}"
                           update=":cargaDetallesForm"
                           styleClass="commandLinkStyle">
            </p:commandLink>
            <br/>
            <br/>
            <br/>
            <p:commandLink value="Cargar predios" immediate="true"
                           oncomplete="cargarDetallesWV.show();"
                           action="#{testsAvaluos.cargarPrediosCU026}"
                           update=":cargaDetallesForm"
                           styleClass="commandLinkStyle">
            </p:commandLink>


        </h:form>

        <p:dialog dynamic="true" appendToBody="true" 
                  height="500" width="900"
                  header="Cargar detalles avalúo desde archivo"
                  widgetVar="cargarDetallesWV">
            <ui:include src="/avaluos/ejecucion/cargarDetallesAvaluoDesdeArchivo.xhtml" />
        </p:dialog>

        <p:dialog header="Adicionar solicitante" dynamic="true"
                  widgetVar="addSolicitanteDialogWV" width="900" appendToBody="true"
                  modal="true">
            <p:panel header="Datos del solicitante">
                <ui:include src="/avaluos/util/capturaDatosSolicitante.xhtml">
                    <ui:param name="adicionarSolicitanteWvParam"
                              value="guardarSolicitanteConfirmationWV" />
                </ui:include>
            </p:panel>
        </p:dialog>

        <p:dialog id="adminAnexos" widgetVar="administrarAnexosWV"
                  header="Anexos relacionados" appendToBody="true" closable="true"
                  minimizable="false" dynamic="true" width="900">
            <ui:include src="/avaluos/ingresoSolicitud/administrarAnexos.xhtml">
                <ui:param name="managedBeanParam"
                          value="#{administracionDocumentacionAvaluoComercial}" />
            </ui:include>
        </p:dialog>

        <p:dialog widgetVar="infoPredialWV" header="Información predial del avalúo"
                  appendToBody="true" closable="true" minimizable="false"
                  id="pdsDialog"
                  dynamic="true" width="900">
            <ui:include src="/avaluos/transversal/consultarInformacionPredial.xhtml">
                <ui:param name="detallesPredioCadenaIdsParam"
                          value=":dpCC:detallesPredioTV" />
            </ui:include>
        </p:dialog>

        <p:dialog widgetVar="infoDeptosMunisWV" header="Municipios y departamentos asociados al avalúo"
                  appendToBody="true" closable="true" minimizable="false"
                  id="deptoDialog"
                  dynamic="true" width="500">
            <ui:include src="/avaluos/transversal/consultarDepartamentosMunicipiosAvaluo.xhtml"/>
        </p:dialog>

        <p:dialog widgetVar="infoAvaluadoresAsignadosWV" header="Profesionales de avalúos"
                  appendToBody="true" closable="true" minimizable="false"
                  id="avaluadoresDialog"
                  dynamic="true" width="750">
            <ui:include src="/avaluos/asignacion/consultarAvaluadoresAsignados.xhtml"/>
        </p:dialog>

        <misc:docViewerWithCloseDecisionCC id="docViewer"
                                           confirmUpdate=":documentacionPagosTV:administrarDocumentacionAvaluoForm:msgsDocTramiteAvaluo"
                                           confirmDialogWV="docAvaluosViewerWV" ajaxBehavior="true"
                                           selectedDocumentAtt="#{previsualizacionDocumento.rutaArchivoTemporal}"
                                           showDownloadButton="#{previsualizacionDocumento.documentoDwg}"
                                           fileContent="#{previsualizacionDocumento.reporteDTO.streamedContentReporte}"
                                           doctypeAtt="#{administracionDocumentacionAvaluoComercial.tipoMimeDocTemporal}"
                                           headerLabel="Previsualización de documento" noRendered="false"
                                           yesRendered="false" />

        <predio:detallesPredioCC id="dpCC" thisWVName="detallesPredioWV"
                                 mostrarDatosPropietarios="true" mostrarDatosTramites="false"
                                 mostrarFichaPredial="true"
                                 thisIdPlusColon=":dpCC" />

        <avaluos:informacionSolicitudCC id="isCC" 
                                        thisWVName="infoSolicitudCCWV" 
                                        thisId="isCC"
                                        mostrarInfoPago="false"
                                        detallePredioWVName="detallesPredioWV"
                                        detallePredioId="dpCC"
                                        infoPredialWVName="prediosWV"
                                        infoPredialId="pdsDialog"
                                        managedBean="#{consultaInformacionSolicitud}" />

        <ui:include src="/util/visorGeografico.xhtml" />

        <misc:visualizadorMemorandosCC id="viewMemo" thisWVName="memorandoWV"
                                       radicarButtonEnabled="false"
                                       urlDocumento="#{previsualizacionDocumento.rutaArchivoTemporal}"
                                       fileContent="#{previsualizacionDocumento.streamDocumento}" />   

        <misc:ultimateConfirmDialogCC 
            confirmMessage="¿Está seguro de cancelar cargar la información de detalles del avalúo?"
            confirmDialogWV="confirmaCancelarCargaWV" confirmUpdateOnYes=":cargaDetallesForm" 
            voidActionOnYes="#{cargaDetallesAvaluoDesdeArchivo.reiniciarListas}"
            yesLabel="Aceptar" noLabel="Cancelar" 
            useStringActionOnYes="false" useStringActionOnNo="false" actionOnNoIsClose="true"/>

        <misc:ultimateConfirmDialogCC 
            confirmMessage="La información ha sido almacenada Exitosamente"
            confirmDialogWV="confirmaCargaWV" confirmUpdateOnYes=":cargaDetallesForm"  
            voidActionOnYes="#{cargaDetallesAvaluoDesdeArchivo.reiniciarListas}"
            yesLabel="Aceptar"  showNoLabel="false"
            useStringActionOnYes="false" useStringActionOnNo="false" actionOnNoIsClose="true"/>

    </ui:define>


</ui:composition>

